import Mock from 'mockjs';
import setupMock, { pageListResponseWrap } from '@/utils/setup-mock';

setupMock({
  setup() {
    // Mock.XHR.prototype.withCredentials = true;

    // 预约任务查询
    Mock.mock(new RegExp('/api/admin/apply/task/page'), () => {
      return pageListResponseWrap([
        {
          id: '111',
          name: '任务名称',
          selfApplyStartTime: Date.now(),
          selfApplyEndTime: Date.now(),
          openApplyStartTime: Date.now(),
          openApplyEndTime: Date.now(),
          enable: true,
          updateTime: Date.now(),
        },
      ]);
    });
  },
});
